
add_subdirectory( settings )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/libkdchart
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../mymoney
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### dialogs (static)

tde_add_library( dialogs STATIC_PIC AUTOMOC
  SOURCES
    kreportconfigurationfilterdlg.cpp
    kcurrencycalculator.cpp
    kcurrencyeditdlg.cpp
    keditequityentrydlg.cpp
    keditloanwizard.cpp
    knewloanwizard.cpp
    kenterscheduledlg.cpp
    tderecentfileitem.cpp
    keditscheduledlg.cpp
    mymoneyqifprofileeditor.cpp
    kaccountselectdlg.cpp
    kupdatestockpricedlg.cpp
    knewequityentrydlg.cpp
    kstartdlg.cpp
    kreconciledlg.cpp
    knewfiledlg.cpp
    knewbankdlg.cpp
    knewaccountdlg.cpp
    kfindtransactiondlg.cpp
    kendingbalancedlg.cpp
    ksplittransactiondlg.cpp
    kimportdlg.cpp
    kexportdlg.cpp
    kcsvprogressdlg.cpp
    kchooseimportexportdlg.cpp
    kbackupdlg.cpp
    kequitypriceupdatedlg.cpp
    kmymoneypricedlg.cpp
    knewinvestmentwizard.cpp
    ksecuritylisteditor.cpp
    kgncimportoptionsdlg.cpp
    konlinequoteconfigurationdlg.cpp
    kgncpricesourcedlg.cpp
    kmymoneyfileinfodlg.cpp
    tdeselectdatabasedlg.cpp
    kpayeereassigndlg.cpp
    kcategoryreassigndlg.cpp
    tdeconfirmmanualenterdlg.cpp
    kaccountselectdlgdecl.ui
    kbackupdlgdecl.ui
    kchooseimportexportdlgdecl.ui
    tdeconfirmmanualenterdlgdecl.ui
    kcsvprogressdlgdecl.ui
    kcurrencycalculatordecl.ui
    kcurrencyeditdlgdecl.ui
    keditequityentrydecl.ui
    keditscheduledlgdecl.ui
    kendingbalancedlgdecl.ui
    kenterscheduledlgdecl.ui
    kequitypriceupdatedlgdecl.ui
    kexportdlgdecl.ui
    kfindtransactiondlgdecl.ui
    kgncimportoptionsdlgdecl.ui
    kimportdlgdecl.ui
    kmymoneypricedlgdecl.ui
    knewaccountdlgdecl.ui
    knewbankdlgdecl.ui
    knewequityentrydecl.ui
    knewfiledlgdecl.ui
    knewinvestmentwizarddecl.ui
    knewloanwizarddecl.ui
    konlinequoteconfigurationdecl.ui
    kreconciledlgdecl.ui
    ksecuritylisteditordecl.ui
    ksplitcorrectiondlg.ui
    ksplittransactiondlgdecl.ui
    kupdatestockpricedlgdecl.ui
    mymoneyqifprofileeditordecl.ui
    kgncpricesourcedlgdecl.ui
    kmymoneyfileinfodlgdecl.ui
    tdeselectdatabasedlgdecl.ui
    kpayeereassigndlgdecl.ui
    kcategoryreassigndlgdecl.ui
    transactioneditor.cpp
    investtransactioneditor.cpp
    investactivities.cpp
    kbalancechartdlg.cpp
    kplugindlg.ui
    kgpgkeyselectiondlg.cpp
    transactionmatcher.cpp
    kbalancewarning.cpp
    knewbudgetdlgdecl.ui
    knewbudgetdlg.cpp
    tdeselecttransactionsdlgdecl.ui
    tdeselecttransactionsdlg.cpp
    kmergetransactionsdlg.cpp
    ksortoptiondlg.ui
    kloadtemplatedlgdecl.ui
    kloadtemplatedlg.cpp
    kmymoneysplittable.cpp

  LINK
    widgets-static

  DEPENDENCIES
    kmm-includes
)


##### other data

kmm_install_includes(
  FILES
    kcurrencycalculator.h
    investtransactioneditor.h
    transactioneditor.h
    ${CMAKE_CURRENT_BINARY_DIR}/kcurrencycalculatordecl.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
